Bug 838265 - EDID Checksum Error on Sony VAIO VGN-CR35G
EDID Checksum Error on Sony VAIO VGN-CR35G
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 01:09 EDT by Bertran
Modified: 2013-07-31 13:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:47:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (68.81 KB, text/plain)
2012-07-08 01:09 EDT, Bertran
no flags Details
lspci -vv (29.34 KB, text/plain)
2012-07-08 01:10 EDT, Bertran
no flags Details
Xorg.0.log (174.91 KB, text/plain)
2012-07-08 01:10 EDT, Bertran
no flags Details
rom dump (62.50 KB, application/octet-stream)
2012-07-17 16:30 EDT, Bertran
no flags Details

  None (edit)
Description Bertran 2012-07-08 01:09:07 EDT
Created attachment 596840 [details]
dmesg

Description of problem:

On system startup, the following lines of text flash on the screen for a split-second:

[    1.098553] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 31
[    1.098616] Raw EDID:
[    1.098667]  	36 7f 40 00 00 00 00 00 00 00 00 00 00 00 00 00
[    1.098721]  	00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[    1.098775]  	00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[    1.098829]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[    1.098883]  	ff ff ff ff ff ff ff ff 00 00 00 00 00 00 00 00
[    1.098937]  	00 00 00 00 e0 3b 63 f4 07 00 00 00 20 e9 b5 c0
[    1.098990]  	80 e9 b5 c0 a0 3a b6 c0 80 31 6d f4 50 b6 45 c0
[    1.099069]  	00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[    1.099130] [drm:radeon_atombios_get_lvds_info] *ERROR* Bad LCD record 127

The value of the remainder varies with each boot.

How reproducible: 100%

Steps to Reproduce:
1. Boot Fedora 17
  
Actual results: The abovementioned error message is displayed

Expected results: No error message is displayed.

Additional info: Identical problem in Fedora 16
Comment 1 Bertran 2012-07-08 01:10:10 EDT
Created attachment 596841 [details]
lspci -vv
Comment 2 Bertran 2012-07-08 01:10:58 EDT
Created attachment 596842 [details]
Xorg.0.log
Comment 3 Josh Boyer 2012-07-09 08:35:07 EDT
To my understanding, this is telling you the EDID information in your LCD is broken.  It isn't really a kernel problem and just making it go away could be done but it wouldn't actually correct anything.

Adam, is that basically correct?
Comment 4 Bertran 2012-07-09 11:37:04 EDT
Hi Josh

Thanks for your reply.

As an ordinary user I don't really have a full understanding of EDIDs, but from what I've looked up, I understand that the checksum should add up to 0 for a valid EDID?

It could be that the monitor has an invalid EDID, but, correct me if I'm wrong, in that case, shouldn't I be expecting the same, nonzero checksum result on every boot? I'm actually getting a completely different remainder with each boot, so I thought it might possibly be a problem with the way the EDID is being read.

Thank you for looking into this report.

Regards
Bertran
Comment 5 Adam Jackson 2012-07-17 11:26:19 EDT
The error appears to be harmless, in a sense.  Your X log shows you using a non-default set of video modes, which indicates that you _are_ getting EDID from somewhere, just not from the code path where that error message is triggered.  This makes sense, we check for EDID in multiple places (DDC to the monitor, ACPI, magic BIOS data tables, etc) because it's not found in only one place.

That said, the "EDID block" it's complaining about looks like it could be a chunk of an unrelated BIOS data table, which hints at a bug in the radeon driver's BIOS data table walk code.  To verify this, please run the following commands as root:

# echo 1 > /sys/bus/pci/devices/0000:01:00.0/rom
# cp /sys/bus/pci/devices/0000:01:00.0/rom /tmp/rom

And attach the resulting rom file to this bug.
Comment 6 Bertran 2012-07-17 16:30:52 EDT
Created attachment 598742 [details]
rom dump

Hi Adam

Thanks for the explanation. Here is the rom dump.

Cheers
Bertran
Comment 7 Fedora End Of Life 2013-07-03 15:23:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 13:47:33 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.